Upgrade from PiAware (Debian Package Add-on) 2.1-5 to 3 ??


#1

Is there a Debian build out there?


#2

See flightaware.com/adsb/piaware/upgrade

Or if you want to build from source, you can build with piaware_builder as usual.


#3

Last night, I checked my stats page, and saw this anomaly report:
Anomaly report for PiAware feeder with a MAC address of xx:xx:xx:xx:xx:xx:

Since my installation of Piaware (add-on) was done using JP’s automated installation Script, I ran the following commands and chose Piaware (upgrade).



cd ~/adsb-receiver
git fetch --all
git reset --hard origin/master
./install.sh


The script did clone the source code and re-built the piaware add-on package (supposedly to be latest version)

After about 9 hours, I checked the stats, and the same anomaly report was still there.
I then ran a dpkg-query. The results below show that Piaware add-on is still version 2.1-5



$ dpkg-query -l 'piaware*'
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name      Version    Architecture      Description
+++-========-==========-==============-==================
ii  piaware    2.1-5     armhf          Open Aviation Data Exchange Protocol for ADS-B FlightFeeders



#4

The place to report that problem would be in the adsb-receiver thread or as a github issue on the adsb-receiver repository.


#5

Thanks, will report in the adsb-receiver thread.


#6

Success at last!



||/ Name     Version    Architecture     Description
+++-=======-==========-==============-============================================
ii piaware   3.1.0      armhf             Open Aviation Data Exchange Protocol for ADS-B FlightFeeders


HOW?
By a headache-free method.
Formatted microSD card, downloaded & wrote latest Jessie Lite img, and ran JP’s script install. Everything is latest now :slight_smile: :smiley: